Documentation Index
Fetch the complete documentation index at: https://developers.remeinium.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Python example:from gradio_client import Client
client = Client("Remeinium/Embedding_Siyabasa")
result = client.predict(
word="අම්මා",
api_name="/get_embedding"
)
print(json.dumps(result, indent=4))
- Install the javascript client (gradio docs) if you don’t already have it installed.
$ npm i -D @gradio/client
- Here’s your first API call.
import { Client } from "@gradio/client";
const client = await Client.connect("Remeinium/Embedding_Siyabasa");
const result = await client.predict("/get_embedding", {
word: "අම්මා",
});
console.log(result.data);
- Confirm that you have cURL installed on your system.
- Your first API call
curl -X POST https://remeinium-embedding-siyabasa.hf.space/gradio_api/call/get_embedding -s -H "Content-Type: application/json" -d '{
"data": ["අම්මා"]}' \
| awk -F'"' '{ print $4}' \
| read EVENT_ID; curl -N https://remeinium-embedding-siyabasa.hf.space/gradio_api/call/get_embedding/$EVENT_ID
Response format:
{
"text": "අම්මා",
"embedding": [0.123, -0.456, 0.789, ...],
"dimensions": 300,
"model": "UgannA_SiyabasaV2",
"language": "Sinhala"
}
Accepts 1 parameter:
word : string *Required
- The input value that is provided in the “Sinhala Word” Textbox component.
Returns 1 element
str | float | bool | list | dict
- The output value that appears in the “Embedding Vector” Json component.